Name: jwm
Version: 2.0.1
Release: alt5.20100305

Summary: Joe's Window Manager
License: GPL2
Group: Graphical desktop/Other
Url: http://joewing.net/programs/jwm/
Packager: Alexey Gladkov <legion@altlinux.ru>

# Requires: design-graphics tango-icon-theme icon-theme-hicolor

Source0: jwm-%version.tar
Source1: jwm-conf.tar
Source2: startjwm
Source3: jwm.desktop
Source4: jwm.wmsession
Source5: jwm.method

Patch0: jwm-alt-add-sigchld-sigign.patch
Patch1: jwm-alt-fix-build-warning.patch
Patch2: jwm-alt-config-file.patch
Patch3: jwm-alt-dead-windows-in-taskbar.patch

# Automatically added by buildreq on Sat Jan 10 2009
BuildRequires: imake libXext-devel libXft-devel libXinerama-devel libXpm-devel libjpeg-devel libpng-devel xorg-cf-files

%description
JWM is a window manager for the X11 Window System.

%prep
%setup -q
%patch0 -p2
%patch1 -p2
%patch2 -p1
%patch3 -p2

%build
%autoreconf
CFLAGS="$CFLAGS -O3 -Wall -Werror"
%configure \
	--enable-debug \
	--enable-shade \
	--sysconfdir=%_sysconfdir/X11/jwm \
	--disable-xrender \
	--disable-fribidi
%make_build

%install
%makeinstall \
	BINDIR=%buildroot/%_bindir \
	SYSCONF=%buildroot/%_sysconfdir/X11/jwm \
	MANDIR=%buildroot/%_mandir \
	#

tar -xC %buildroot/%_sysconfdir/X11/jwm -f %SOURCE1
rm -f -- %buildroot/%_sysconfdir/X11/jwm/system.jwmrc

# install -m755 %SOURCE2 %buildroot/%_bindir/
install -D -m644 %SOURCE3 %buildroot/%_datadir/xsessions/jwm.desktop
install -D -m644 %SOURCE4 %buildroot/%_sysconfdir/X11/wmsession.d/jwm
install -D -m755 %SOURCE5 %buildroot/%_sysconfdir/menu-methods/%name

%files
%_bindir/*
%dir %_sysconfdir/X11/jwm
%config %_sysconfdir/X11/jwm/*
%config %_sysconfdir/X11/wmsession.d/*
%_sysconfdir/menu-methods/%name
%_datadir/xsessions/*
%_man1dir/*

%changelog
* Fri Mar 12 2010 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt5.20100305
- Fix dead windows in taskbar.

* Fri Mar 05 2010 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt4.20100305
- New snapshot.

* Mon May 25 2009 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt4.20090330
- Fix build.

* Mon Mar 30 2009 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt3.20090330
- New snapshot.
- Add menu method.
- Rewrite alt-config-file.patch.

* Fri Feb 27 2009 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt3.20080901
- Add system defaults.
- Add read system and user config.
- Move and split system config to /etc/X11/jwm.

* Sat Jan 10 2009 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt2.20080901
- Bugfix build.

* Mon Sep 01 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt1.20080901
- New snapshot.

* Tue Mar 11 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.1-alt1
- First build for sisyphus.
